Bug 157178 - local variable used before set
local variable used before set
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-08 09:41 EDT by David Binderman
Modified: 2013-07-02 19:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 03:57:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-05-08 09:41:55 EDT
Description of problem:

I just tried to compile package tetex-3.0-3 from Redhat
Fedora Core development tree with the most excellent Intel C
compiler.

The compiler said

1.

t1load.c(448): remark #592: variable "tmp_size" is used before its value is set

The source code is

  sprintf( err_warn_msg_buf,
           "VM for Font %d: %d bytes", FontID, (int) tmp_size);

Suggest initialise local variable "tmp_size" before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2005-09-19 15:43:10 EDT
From User-Agent: XML-RPC

tetex-3.0-6.FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.